<template>
    <div>
        <button v-on:click="add_counter">Click me!</button>
        <p> The Button has been clicked {{ click_counter }} times.</p>
        <button v-on:click="reset_counter">Reset Counter</button>
    </div>
</template>

<script>
export default {
    data() {
        return {
            click_counter: 0,
        };
    },
    
    methods: {
        add_counter() {
            this.click_counter += 1
        },
        reset_counter() {
            this.click_counter = 0
        }
    }
}
</script>
